BASENC(1)

NOMBRE
basenc - Codifica y descodifica datos mostrándolos en la salida estándar

SINOPSIS
basenc [OPCIÓN]... [ARCHIVO]

DESCRIPCIÓN

basenc codifica o descodifica un ARCHIVO o la entrada estándar, enviando el resultado por la salida estándar.

Si no se define ningún ARCHIVO o bien se indica '-', se lee la entrada estándar.

Los argumentos obligatorios para las opciones largas son también obligatorios para las opciones cortas.

--base64
    igual que con 'base64' (sección cuarta del RFC 4648)

--base64url
    base64 con pequeñas modificaciones para las URL y nombres de archivo (sección quinta del RFC 4648)

--base32
    coincice con'base32' (sección sexta del RFC 4648)

--base32hex
    alfabeto hexadecimal ampliado en base32 (sección séptima del RFC 4648)

--base16
    codificación hexadecimal (sección octava del RFC 4648)

--base2msbf
    cadena de bit con el más destacado (msb) primero

--base2lsbf
    cadena de bit con el menos significativo (lsb) primero

-d, --decode
    descodifica información

-i, --ignore-garbage
    ignora los caracteres no alfabéticos durante el descodificado

-w, --wrap=COLUMNAS
    limita la longitud de las líneas codificadas a COLUMNAS (por defecto 76). Si no desea aplicar ningún límite utilice el valor 0.

--z85
    codificación al estilo de ascii85 (ZeroMQ spec:32/Z85). Para codificar, la longitud de la entrada debe ser múltiplo de 5; mientras que para descodificar deberá ser múltiplo de 5

--help
    muestra la ayuda y finaliza

--version
    muestra la versión del programa y finaliza

Al descodificarlos, los datos pueden incluir saltos de línea además de los propios bytes del alfabeto formal. Emplee la opción --ignore-garbage para intentar evitar bytes no alfabéticos en los datos codificados.

EJEMPLOS DE CODIFICACIÓN

    $ printf '\376\117\202' | basenc --base64
    /k+C

    $ printf '\376\117\202' | basenc --base64url
    _k-C

    $ printf '\376\117\202' | basenc --base32
    7ZHYE===

    $ printf '\376\117\202' | basenc --base32hex
    VP7O4===

    $ printf '\376\117\202' | basenc --base16
    FE4F82

    $ printf '\376\117\202' | basenc --base2lsbf
    011111111111001001000001

    $ printf '\376\117\202' | basenc --base2msbf
    111111100100111110000010

    $ printf '\376\117\202\000' | basenc --z85
    @.FaC

AUTOR
Escrito por Simon Josefsson y Assaf Gordon.

INFORMAR DE ERRORES
Ayuda en línea de GNU Coreutils: <https://www.gnu.org/software/coreutils/>
Informe cualquier error de traducción a <https://translationproject.org/team/es.html>

VÉASE TAMBIÉN
Documentación completa <https://www.gnu.org/software/coreutils/basenc>
también disponible localmente ejecutando: info '(coreutils) basenc invocation'

Packaged by Debian (9.7-2)
Copyright © 2025 Free Software Foundation, Inc.
Licencia GPLv3+: GNU GPL versión 3 o posterior <https://gnu.org/licenses/gpl.html>.
Esto es software libre: usted es libre de cambiarlo y redistribuirlo.
NO HAY GARANTÍA, en la medida permitida por la legislación.

TRADUCCIÓN
La traducción al español de esta página del manual fue creada por Marcos Fouces <marcos@debian.org>

Esta traducción es documentación libre; lea la GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) o posterior con respecto a las condiciones de copyright. No existe NINGUNA RESPONSABILIDAD.

Si encuentra algún error en la traducción de esta página del manual, envíe un correo electrónico a debian-l10n-spanish@lists.debian.org.